summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/nft-f/0024priority_variable_1
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/nft-f/0024priority_variable_1')
-rwxr-xr-xtests/shell/testcases/nft-f/0024priority_variable_118
1 files changed, 18 insertions, 0 deletions
diff --git a/tests/shell/testcases/nft-f/0024priority_variable_1 b/tests/shell/testcases/nft-f/0024priority_variable_1
new file mode 100755
index 00000000..592cb56b
--- /dev/null
+++ b/tests/shell/testcases/nft-f/0024priority_variable_1
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+# Tests use of variables in priority specification
+
+set -e
+
+RULESET="
+define pri = { 127.0.0.1 }
+
+table inet global {
+ chain prerouting {
+ type filter hook prerouting priority \$pri
+ policy accept
+ }
+}"
+
+$NFT -f - <<< "$RULESET" && exit 1
+exit 0